
Foreman - Feature #32193

Enable byebug remote for development

03/24/2021 12:29 PM - Lukas Zapletal

Status: Closed   

Priority: Normal   

Assignee: Lukas Zapletal   

Category: Rails   

Target version:    

Difficulty:  Fixed in Releases: 2.5.0

Triaged: Yes Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/8411

  

Description

We already pull byebug debugger as pry-byebug dependency. Unfortunately, pry remote debugger (pry-remote) does not work

properly when rails is started without an interactive terminal and also pry is a REPL tool not a full debugger.

I propose to add byebug gem explicitly into the development gem group and also including an initializer which will start remote

debugger if an environment variable is set. Note this is not meant for production deployments.

This will unify debugging possibilities and enable anyone with little effort to start a debugging session. I plan to include instructions in

our Contributing guide.

Associated revisions

Revision db65dbba - 04/27/2021 12:25 PM - Lukas Zapletal

Fixes #32193 - enable byebug in development

History

#1 - 03/24/2021 12:31 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/8411 added

#2 - 04/27/2021 12:25 PM - The Foreman Bot

- Fixed in Releases 2.5.0 added

#3 - 04/27/2021 01:01 PM - Lukas Zapletal

- Status changed from Ready For Testing to Closed

Applied in changeset foreman|db65dbbad543286f53dee72d27b9d324e690c4e0.
